Loading...
Searching...
No Matches
BNO08x::bno08x_init_status_t Struct Reference

Holds info about which functionality has been successfully initialized (used by deconstructor during cleanup). More...

## Public Member Functions

| bno08x_init_status_t ()

## Public Attributes

bool | gpio_outputs
| True if GPIO outputs have been initialized.
bool | gpio_inputs
| True if GPIO inputs have been initialized.
bool | isr_service
| True if global ISR service has been initialized.
bool | isr_handler
| True if HINT ISR handler has been initialized.
uint8_t | task_count
| How many successfully initialized tasks (max of TSK_CNT)
bool | data_proc_task
| True if xTaskCreate has been called successfully for data_proc_task.
bool | spi_task
| True if xTaskCreate has been called successfully for spi_task.
bool | spi_bus
| True if spi_bus_initialize() has been called successfully.
bool | spi_device
| True if spi_bus_add_device() has been called successfully.

## Detailed Description

Holds info about which functionality has been successfully initialized (used by deconstructor during cleanup).

## Constructor & Destructor Documentation

## bno08x_init_status_t()

BNO08x::bno08x_init_status_t::bno08x_init_status_t | ( |  | ) |

inline

## Member Data Documentation

## data_proc_task

bool BNO08x::bno08x_init_status_t::data_proc_task

True if xTaskCreate has been called successfully for data_proc_task.

## gpio_inputs

bool BNO08x::bno08x_init_status_t::gpio_inputs

True if GPIO inputs have been initialized.

## gpio_outputs

bool BNO08x::bno08x_init_status_t::gpio_outputs

True if GPIO outputs have been initialized.

## isr_handler

bool BNO08x::bno08x_init_status_t::isr_handler

True if HINT ISR handler has been initialized.

## isr_service

bool BNO08x::bno08x_init_status_t::isr_service

True if global ISR service has been initialized.

## spi_bus

bool BNO08x::bno08x_init_status_t::spi_bus

True if spi_bus_initialize() has been called successfully.

## spi_device

bool BNO08x::bno08x_init_status_t::spi_device

True if spi_bus_add_device() has been called successfully.

## spi_task

bool BNO08x::bno08x_init_status_t::spi_task

True if xTaskCreate has been called successfully for spi_task.

## task_count

uint8_t BNO08x::bno08x_init_status_t::task_count

How many successfully initialized tasks (max of TSK_CNT)

The documentation for this struct was generated from the following file:

- BNO08x.hpp